# Uses of Class
java.awt.CheckboxGroup

Packages that use CheckboxGroup
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of CheckboxGroup in java.awt

Methods in java.awt that return CheckboxGroup
Modifier and Type
Method
Description
`CheckboxGroup`
Checkbox.`getCheckboxGroup()`
Determines this check box's group.
Methods in java.awt with parameters of type CheckboxGroup
Modifier and Type
Method
Description
`void`
Checkbox.`setCheckboxGroup(CheckboxGroup g)`
Sets this check box's group to the specified check box group.
Constructors in java.awt with parameters of type CheckboxGroup
Modifier
Constructor
Description
``
`Checkbox(String label, boolean state, CheckboxGroup group)`
Constructs a Checkbox with the specified label, set to the specified state, and in the specified check box group.
``
`Checkbox(String label, CheckboxGroup group, boolean state)`
Creates a check box with the specified label, in the specified check box group, and set to the specified state.